Page MenuHomePhabricator

Story: AnalyticsEng has hourly PageView counts {hawk}
Closed, ResolvedPublic

Description

Implement the definition of PageViews
Count total PageViews for everything
Run it daily & store it somewhere


Version: unspecified
Severity: enhancement
Whiteboard: u=AnalyticsEng c=Refinery p=9960

Details

Reference
bz67804

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:34 AM
bzimport added a project: Analytics-Cluster.
bzimport set Reference to bz67804.
bzimport added a subscriber: Unknown Object (MLST).

Following discussions and note taking here: http://etherpad.wikimedia.org/p/analytics-design

Requirements:

  • Use the cluster
  • Sample Report (tsv)
HourProjectTotal PageviewsDesktop Site PageviewsMobile Site PageviewsAPI Pageviews

(note that desktop+mobile+api add up to more than the total)

  • Vet the output

Out of scope:

  • making this prototype future proof to handle new dimentionalities in output (e.g. article)
  • designing output for the API
  • designing multiple outputs as part of an ETL
QChris removed a subscriber: QChris.Mar 2 2015, 6:42 PM
kevinator raised the priority of this task from Normal to High.Mar 31 2015, 2:20 PM
kevinator set Security to None.
kevinator renamed this task from Story: AnalyticsEng has hourly PageView counts to Story: AnalyticsEng has hourly PageView counts {hawk}.Mar 31 2015, 3:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2016, 7:42 PM
Milimetric closed this task as Resolved.Oct 3 2016, 3:57 PM
Milimetric claimed this task.